AOZ Studio Beta - Bug #577

Close n on Random file causes an Internal error.

11/17/2020 12:03 PM - Brian Flanagan

Status: Resolved Start date: 11/17/2020
Priority: High Due date:

Assignee: Francois Lionet % Done: 0%
Category: Estimated time: 1:00 hour
Target version: 1.0.0 (B10) u16

Affected version: 1.0.0 (B7)

Description

Example:

Open Random 1, "test.dat"

Field 1,20 As FirstName$, 20 As LastName$, 10 As PhoneNumber$
FirstName$="Barney" : LastName$="Rubble" : PhoneNumber$="7891239876"

Put 1,1

FirstName$="Fred" : LastName$="Flintstone" : PhoneNumber$="7891234567"

Put 1,2

Close 1

The Close 1 causes an Internal Error.
(This was with the first Beta 1 release.)

History

#1 - 04/06/2021 07:06 PM - Brian Flanagan

- Affected version changed from Beta 1 to 1.0.0 (B7)

Re-tested in 1.0.0 (B7). Close N still fails.

For this source:

Open Random 1,"application:test.dat" // This fails.

// Also fails with "application:test.dat"
Field 1,20 As FirstName$, 20 As LastName$, 10 As PhoneNumber$

FirstName$="Barney" : LastName$="Rubble" : PhoneNumber$="7891239876"
Put 1,1

FirstName$="Fred" : LastName$="Flintstone" : PhoneNumber$="7891234567"
Put 1,2

Close 1 // It fails here.
Here are the console errors:

Filesystem: application, response: true

rfilesystem. js:88 Filesystem: http, response: true

rfilesystem. js:88 Filesystem: https, response: true

raoz.js:1060 source is not defined

raoz.js:1061 ReferenceError: source is not defined
at Filesystem_Application.write (rfilesystem_application.js:473)
at Filesystem.saveFile (rfilesystem.js:252)
at vl1_0_filesystem.close (v1_0_filesystem. js:635)
at AOZ.runBlocks (raoz.js:897)
at doUpdate (raoz.js:443)

raoz.js:495 Internal error

at line: 8, column: 1 in file Bug577.aoz.

#2 - 04/06/2021 07:09 PM - Brian Flanagan

Please ignore the comment on the Open statement. That's working now, but the Close still fails.

#3 - 04/06/2021 07:12 PM - Brian Flanagan

- Assignee set to Francois Lionet
- Priority changed from Normal to High

#4 - 10/21/2021 09:41 AM - Brian Flanagan
- Status changed from New to Resolved

- Target version set to 1.0.0 (B10) u16

Re-tested in 1.0.0 (B10) u16
It's working now!

It's still saving to the web browser local storage vs. the application's resources/filesystem/application folder, but it is working.
No more internal errors.

Random Read is also working! :-)
